Bug 832612 - [abrt] gnome-terminal-3.2.1-2.fc16: cairo_pattern_get_type: Process /usr/bin/gnome-terminal was killed by signal 11 (SIGSEGV)
[abrt] gnome-terminal-3.2.1-2.fc16: cairo_pattern_get_type: Process /usr/bin/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:f3a8382c2e65824f71ccfbae3a7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 18:48 EDT by Micheal Quinn
Modified: 2013-02-13 13:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:39:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (7.83 KB, text/plain)
2012-06-15 18:48 EDT, Micheal Quinn
no flags Details
File: smolt_data (5.87 KB, text/plain)
2012-06-15 18:48 EDT, Micheal Quinn
no flags Details
File: maps (37.42 KB, text/plain)
2012-06-15 18:48 EDT, Micheal Quinn
no flags Details
File: backtrace (45.19 KB, text/plain)
2012-06-15 18:49 EDT, Micheal Quinn
no flags Details

  None (edit)
Description Micheal Quinn 2012-06-15 18:48:48 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gnome-terminal
crash_function: cairo_pattern_get_type
executable:     /usr/bin/gnome-terminal
kernel:         3.3.8-1.fc16.x86_64
pid:            7608
pwd:            /home/quinn
time:           Fri 15 Jun 2012 05:35:12 PM CDT
uid:            1000
username:       quinn

backtrace:      Text file, 46277 bytes
dso_list:       Text file, 8015 bytes
maps:           Text file, 38314 bytes
smolt_data:     Text file, 6011 bytes

build_ids:
:9efd824bf587def50099e2ae657a5cce012fa658
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:fd8a00c88eb1fd6872e45001f9ed4e5c6172995e
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:6cded60dd119fb8b8aa41b264e12931cb2c7b67f
:1c6a95451ee19617be5abea3d121f0226d21ddda
:83ecebde12fbdca06b42acb8020b6bd3add804ea
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:3a2c00058f6bc91272c8846d553d3834fab0f3c2
:d0c6e13f00a20952a72a945c929efb175fd760e3
:37c84b700d36cedd486ab4259d4fb8cd34eb0d6b
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:124bfd663f5587288e6e0da8497fb4153469e657
:6ba9409fb9f58785e255d94fc533fbf1d1fe35fd
:5954d7bfe38b223be907cd2041fd537129ba4254
:f0d50e3af2dfee021a327fb85a993a2312a98145
:5393d882ce329cabe4ddf6bedaef1cc906664889
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:6788b943089846e98f7dc9cdb5dca63924909b25
:578e66700318d8cec8e5f03778c434743a55e153
:7a896ce784b97721d1f6960bfba25e60511c0178
:aaf62304b0fc10611d35b4f56005479d4c58868d
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:25b834f4c4dc534708635ff1064e2fe02a366a62
:f9fea7527e0deebd694acc251008975312a3f74a
:163b323da65b708418226eb5fa8b057c731d1475
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:0911ea7c180d733724f89037b8e8a34e64024aec
:ccadad4ec7dab3bb6abc23f9d4cdf53ff01cb235
:e60ae8062b44e0d758b5f92c8f9958a06236179b
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:400444fb368f79b54959b083f449a1497bf71c13
:ec354720856ed9aa8eab2b38f75042fcd4305569
:20e57e75d5566ba8d0fd5fb3a767bd5bf32900bc
:6a7541a2ec34589cc35300d8fc86d7f640b8ce42
:4953d1f613914126bccceb3cb96386647ffba9df
:b2addb78b534f66e1c4fb01a407861181151bd8a
:4c842320387ff7f6f91b7842b223c16518be909f
:0d039828591f6fe108db1d5458ca340cbfc4ff6d
:1e0de72c7f10f33e0ee489a9a32c4e4f01902580
:edebfad67bdac472272d049dc7ec302f47b02f32
:58803db420709341d8e6a713b18e54a6e1824272
:75eaece6e0d1e075520cdfad5c398fdab4370846
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:a638ccc3535e307dfbe8338df04ee414b42a606c
:b1eabdd6f67f63acd5e36164337202a692fedfc3
:be507c791e34415e8f42f0e6030c889b2895cf9a
:07470201df55a5254027d05fa4dc509b10f2986a
:14063d4a97bae5e96c07a1a7c0e6ca5c982839f3
:3bbe4d98714c66cda2944cd39900eea5d348df18
:87af0ff2815bf41b5c5889b916881c662ddd2569
:f9aa72f20a1a7465d733b6abe82a861b96bb0fd6
:5cb5f8da286abd58aeab3bd6676e661d52ec2b5d
:719a85c49c612de86619fed98146f316432aee92
:3437fbc1b9876f2d55c8c9beffbda021a61b1e61
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:fc684ef0fc723dcb68a88799b8fb98e68e5f7441
:545fac2346ca24589041213956b7f22f7e91c139
:9ea81971c14b711655ced0a734db062ab7c4eec7
:f8f4d8e260ee8f3b262936920270ace01b2da537
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:c992ba7aa285f492498cbb39bd2b985cf56c0e55
:bf404f1f16ae38c405a644f7f2a5a3de02e5d158
:984f117c0514d018adfbf8296f77ae333cd80640
:2670385f49fb9f120f7cf843f211e3c620da8632
:b16b9e8cbdabffb16ea4140ce301cbd212be02ef
:f2e24eed69cdecfdc16ed844c315a295459441ff
:3cbc639da8b05f5cd87202ff77c5c335313d3276
:399acd228adedc75aae4d2e35d1e7c26aa7089f3
:a518a8b1b5c3e80dee813df05e951d205d6ac48c
:9fd35565043bc57e1d8bf70810b7c6b402a9be93
:1406558950ff100eb0320a325b3ea7961ba1a775
:39294193f046cf15442542705526228c60d70a6e

comment:
:Launch gnome-terminal --->  Edit --> Profile Preferences
:
:It creates the window for the preferences, but crashes shortly after.

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=7
:HOSTNAME=Quinn.Fedora
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=bf88c1f66bb60b306e2588460000000b-1339798969.639189-392144267
:GNOME_KEYRING_CONTROL=/tmp/keyring-2rZkaQ
:IMSETTINGS_MODULE=none
:USER=quinn
:USERNAME=
:MAIL=/var/spool/mail/quinn
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/quinn/.local/bin:/home/quinn/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/quinn
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=5931
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/quinn
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=quinn
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-4ICCkEQwHn,guid=ed094bd15eed74170d2751b5000008b8
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/quinn
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-quinn-x8aiNM/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/5936,unix/unix:/tmp/.ICE-unix/5936
:GPG_AGENT_INFO=/tmp/keyring-2rZkaQ/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-2rZkaQ/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-6134-Quinn.Fedora-gnome-terminal-15_TIME2968309
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-terminal.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=7608

gconf_subtree:
: /apps/gnome-terminal/keybindings:
:  prev_tab = <Control>Page_Up
:  save_contents = disabled
:  reset = (no value set)
:  move_tab_left = <Ctrl><Shift>Page_Up
:  close_window = <Ctrl><Shift>q
:  zoom_in = <Ctrl>plus
:  switch_to_tab_1 = <Alt>1
:  switch_to_tab_2 = <Alt>2
:  switch_to_tab_3 = <Alt>3
:  switch_to_tab_4 = <Alt>4
:  switch_to_tab_5 = <Alt>5
:  switch_to_tab_6 = <Alt>6
:  switch_to_tab_7 = <Alt>7
:  help = F1
:  switch_to_tab_8 = <Alt>8
:  detach_tab = (no value set)
:  close_tab = <Ctrl><Shift>w
:  switch_to_tab_9 = <Alt>9
:  toggle_menubar = (no value set)
:  set_terminal_title = (no value set)
:  next_tab = <Control>Page_Down
:  copy = <Ctrl><Shift>c
:  new_tab = <Ctrl><Shift>t
:  reset_and_clear = (no value set)
:  zoom_out = <Ctrl>minus
:  new_profile = (no value set)
:  zoom_normal = <Ctrl>0
:  paste = <Ctrl><Shift>v
:  new_window = <Ctrl><Shift>n
:  move_tab_right = <Ctrl><Shift>Page_Down
:  switch_to_tab_11 = (no value set)
:  switch_to_tab_12 = (no value set)
:  full_screen = F11
:  switch_to_tab_10 = <Alt>0
: /apps/gnome-terminal/global:
:  confirm_window_close = true
:  default_profile = Default
:  use_mnemonics = true
:  use_menu_accelerators = true
:  active_encodings = [UTF-8,current]
:  profile_list = [Default]
: /apps/gnome-terminal/profiles:
:  /apps/gnome-terminal/profiles/Default:
:   cursor_shape = block
:   scrollback_lines = 512
:   use_theme_colors = false
:   scrollback_unlimited = false
:   allow_bold = true
:   backspace_binding = ascii-del
:   scroll_background = true
:   update_records = true
:   use_custom_default_size = false
:   login_shell = false
:   icon = 
:   background_image = 
:   background_darkness = 0.5
:   foreground_color = #0000FFFF0000
:   delete_binding = escape-sequence
:   scrollbar_position = right
:   use_system_font = true
:   use_custom_command = false
:   scroll_on_output = false
:   background_color = #000000000000
:   word_chars = -A-Za-z0-9,./?%&#:_=+@~
:   palette = #2E2E34343636:#CCCC00000000:#4E4E9A9A0606:#C4C4A0A00000:#34346565A4A4:#757550507B7B:#060698209A9A:#D3D3D7D7CFCF:#555557575353:#EFEF29292929:#8A8AE2E23434:#FCFCE9E94F4F:#72729F9FCFCF:#ADAD7F7FA8A8:#3434E2E2E2E2:#EEEEEEEEECEC
:   visible_name = Default
:   title = Terminal
:   default_show_menubar = true
:   default_size_rows = 24
:   font = Monospace 12
:   default_size_columns = 80
:   scroll_on_keystroke = true
:   silent_bell = false
:   exit_action = close
:   custom_command = 
:   background_type = solid
:   bold_color = #000000000000
:   cursor_blink_mode = system
:   bold_color_same_as_fg = true
:   title_mode = replace

var_log_messages:
:Jun 15 17:34:12 Quinn kernel: [ 2910.719063] gnome-terminal[6292]: segfault at 0 ip 0000003c26038280 sp 00007fff8299b328 error 4 in libcairo.so.2.11000.2[3c26000000+a6000]
:Jun 15 17:34:13 Quinn abrt[7299]: Saved core dump of pid 6292 (/usr/bin/gnome-terminal) to /var/spool/abrt/ccpp-2012-06-15-17:34:12-6292 (81743872 bytes)
:Jun 15 17:34:22 Quinn kernel: [ 2920.026393] gnome-terminal[7326]: segfault at 0 ip 0000003c26038280 sp 00007fffef651718 error 4 in libcairo.so.2.11000.2[3c26000000+a6000]
:Jun 15 17:34:22 Quinn abrt[7396]: Not dumping repeating crash in '/usr/bin/gnome-terminal'
:Jun 15 17:34:29 Quinn kernel: [ 2927.487974] gnome-terminal[7398]: segfault at 0 ip 0000003c26038280 sp 00007fff2a1c1588 error 4 in libcairo.so.2.11000.2[3c26000000+a6000]
:Jun 15 17:34:29 Quinn abrt[7464]: Not dumping repeating crash in '/usr/bin/gnome-terminal'
:Jun 15 17:35:00 Quinn yum[7598]: Installed: gnome-terminal-3.2.1-2.fc16.x86_64
:Jun 15 17:35:12 Quinn kernel: [ 2969.856950] gnome-terminal[7608]: segfault at 0 ip 0000003c26038280 sp 00007fffb95e9888 error 4 in libcairo.so.2.11000.2[3c26000000+a6000]
:Jun 15 17:35:12 Quinn abrt[7675]: Saved core dump of pid 7608 (/usr/bin/gnome-terminal) to /var/spool/abrt/ccpp-2012-06-15-17:35:12-7608 (79421440 bytes)

xsession_errors:
:(gnome-terminal:2028): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:482:17: Themeing engine 'unico' not found
:(gnome-terminal:2028): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:585:17: Themeing engine 'unico' not found
:(gnome-terminal:2028): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:606:17: Themeing engine 'unico' not found
:(gnome-terminal:2028): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:630:17: Themeing engine 'unico' not found
:(gnome-terminal:2028): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:798:17: Themeing engine 'unico' not found
:(gnome-terminal:2028): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1136:14: Themeing engine 'unico' not found
:(gnome-terminal:2028): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1177:14: Themeing engine 'unico' not found
:(gnome-terminal:2028): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2001:17: Themeing engine 'unico' not found
:(gnome-terminal:2028): Gtk-WARNING **: Unknown property: GtkHScale.update-policy
:(gnome-terminal:2224): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:482:17: Themeing engine 'unico' not found
:(gnome-terminal:2224): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:585:17: Themeing engine 'unico' not found
:(gnome-terminal:2224): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:606:17: Themeing engine 'unico' not found
:(gnome-terminal:2224): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:630:17: Themeing engine 'unico' not found
:(gnome-terminal:2224): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:798:17: Themeing engine 'unico' not found
:(gnome-terminal:2224): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1136:14: Themeing engine 'unico' not found
:(gnome-terminal:2224): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1177:14: Themeing engine 'unico' not found
:(gnome-terminal:2224): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2001:17: Themeing engine 'unico' not found
Comment 1 Micheal Quinn 2012-06-15 18:48:55 EDT
Created attachment 592255 [details]
File: dso_list
Comment 2 Micheal Quinn 2012-06-15 18:48:56 EDT
Created attachment 592256 [details]
File: smolt_data
Comment 3 Micheal Quinn 2012-06-15 18:48:58 EDT
Created attachment 592257 [details]
File: maps
Comment 4 Micheal Quinn 2012-06-15 18:49:00 EDT
Created attachment 592258 [details]
File: backtrace
Comment 5 Fedora End Of Life 2013-01-16 10:33:49 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 13:39:37 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.